searchNodes=[{"ref":"EctoFactory.html","title":"EctoFactory","type":"module","doc":""},{"ref":"EctoFactory.html#attrs/2","title":"EctoFactory.attrs/2","type":"function","doc":"Create a map with randomly generated of the passed in Ecto schema"},{"ref":"EctoFactory.html#gen/1","title":"EctoFactory.gen/1","type":"function","doc":"generate a random value"},{"ref":"EctoFactory.html#schema/2","title":"EctoFactory.schema/2","type":"function","doc":"Create a struct of the passed in factory After configuring a factory config :ecto_factory, factories: [ user: User, user_with_default_username: { User, username: &quot;mrmicahcooper&quot; } ] You can build a struct with the attributes from your factory as defaults. EctoFactory.schema(:user_with_default_username) %User{ age: 124309132# random number username: &quot;mrmicahcooper&quot; } And you can pass in your own attributes of course: EctoFactory.schema(:user, age: 99, username: &quot;hashrocket&quot;) %User{ age: 99, username: &quot;hashrocket&quot; }"},{"ref":"EctoFactory.MissingFactory.html","title":"EctoFactory.MissingFactory","type":"exception","doc":"Raised at runtime when the factory is not defined."},{"ref":"readme.html","title":"Usage","type":"extras","doc":"Easily generate data based on your ecto schemas. Hex docs homepage"},{"ref":"readme.html#installation","title":"Usage - Installation","type":"extras","doc":"Add ecto_factory to your list of dependencies in mix.exs: def deps do [ {:ecto_factory, &quot;~&gt; 0.0.7&quot;} ] end Usage Assume we&#39;re using the following User module: defmodule User do use Ecto.Schema schema &quot;users&quot; do field :age, :integer field :username, :string field :date_of_birth, :date field :address, :map end end Now you can use EctoFactory to generate a Ecto struct with random data for each of your differnt fields EctoFactory.schema(User) #=&gt; %User{ age: 230419832, #random number for an :integer username: aduasdaitquweofads, #random string for a :string date_of_birth: ~D[2019-10-10], #today for a :date address: %{ #random map of string for a :map &quot;aduiasdoufp&quot; =&gt; &quot;eruiqweu&quot; &quot;wfhsddha&quot; =&gt; &quot;uudfadsuyanbasvasd&quot; } } You can set defaults in your config: # config/config.exs config :ecto_factory, factories: [ user_with_defaults: { User, [ age: 99, username: &quot;mrmicahcooper&quot;, date_of_birth: Date.from_iso8601!(&quot;2012-12-12&quot;) ] } ] Which will allow you to do the following: EctoFactory.schema(:user_with_defaults) #=&gt; %User{ age: 99 username: &quot;mrmicahcooper&quot; date_of_birth: ~D[2012-12-12] address: %{ &quot;aduiasdoufp&quot; =&gt; &quot;eruiqweu&quot; &quot;wfhsddha&quot; =&gt; &quot;uudfadsuyanbasvasd&quot; } } Notice the :address is still random data And if you don&#39;t want to use random data or defaults, you can specify your attributes at runtime: EctoFactory.schema(User, username: &quot;foo&quot;, age: 2, date_of_birth: ~D[2019-01-01], address: %{}, ) #=&gt; %User{ address: %{} age: 2, date_of_birth: ~d[2019-01-01], username: &quot;foo&quot;, }"},{"ref":"readme.html#development","title":"Usage - Development","type":"extras","doc":"$ git clone https://github.com/mrmicahcooper/ecto_factory $ cd ecto_factory $ mix deps.get $ mix test"}]